1. Contact Properties
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Contact Properties Statistics
      POST
    • Create Contact Property
      POST
    • Update Contact Property
      PUT
    • Delete Contact Property
      DELETE
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Outbound IVR API
    • Create Outbound IVR
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Conversations - Service Account
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ServiceAccountTemplateDto
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateParameterDto
    • ChannelConversationDto
    • UpdateTagDto
    • TemplateParameterDto
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Contact Properties

Contact Properties Statistics

POST
/v1/contact-property-definitions/{{id}}/statistics
Returns a breakdown of how many contacts in the workspace have each value of a Select-type custom property. e.g. "how many contacts are Gold / Silver / unset for Loyalty Tier," optionally scoped by the same filters used in Search Contacts.
Request body is optional — omit it (or send {}) to compute statistics across all contacts in the workspace. When provided, it accepts the same filter fields as Search Contacts: name, phoneNumber, customPropertyFilters, conversationAssigneeIds, includeUnassignedConversations.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200OK
application/json
Per-option contact counts for the given Select property.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.voxa.sa/v1/contact-property-definitions/{{id}}/statistics' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "conversationAssigneeIds": [
        "USER_ID"
    ],
    "includeUnassignedConversations": false
}'
Response Response Example
{
    "propertyDefinitionId": "3a214c...............",
    "propertyName": "workspace_stage",
    "totalContacts": 20120,
    "nullCount": 15625,
    "optionCounts": [
        {
            "value": "Activation",
            "color": "#84CC16",
            "count": 344
        },
        {
            "value": "ChurnedRisk",
            "color": "#EC4899",
            "count": 327
        },
        {
            "value": "Activated",
            "color": "#10B981",
            "count": 416
        },
        {
            "value": "Lead",
            "color": "#F59E0B",
            "count": 3408
        }
    ]
}
Modified at 2026-06-21 13:12:31
Previous
List Contact Properties
Next
Create Contact Property
Built with